 /*
 * file      : src/draw.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __draw_h__
#define __draw_h__ 1


typedef enum {
	COLOR_WHITE = 0,	// 	1.0	1.0	1.0
	COLOR_BLACK,		// 	0.0	0.0	0.0
	COLOR_RED,		// 	1.0	0.0	0.0
	COLOR_GREEN,		// 	0.0	1.0	0.0
	COLOR_BLUE,		// 	0.0	0.0	1.0
	COLOR_YELLOW,		//	1.0	1.0	0.0
	COLOR_GRIS,		//	0.5	0.5	0.5
	COLOR_MAGENTA,		//	0.5	0.0	0.5
	COLOR_ORANGE,		//	1.0	0.5	0.0
	COLOR_BLEU_FONCE	//	0.0	0.0	0.8
} TYPE_COLOR;

void		draw_str( gint p_x, gint p_y, TYPE_COLOR p_typecolor, gint p_size, gchar *p_str );
void		draw_set_adr_call_func_extern( void (*FuncExtern) ( void ) );
void		draw_year( void );
void		draw_call( void );
gboolean	draw_is_save_to_file( void );


#endif

