 /*
 * file      : src/edit_year.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __edit_year_h__
#define __edit_year_h__ 1


void		EditYear_set_flag_buttons (void);
gboolean	EditYear_is_modified( void );
void		EditYear_set_modified( void );
void		EditYear_spinbutton_time_value_changed( GtkSpinButton *spinbutton );
void		EditYear_entry_comment_changed( void );
void		EditYear_set_pathnamefile( gchar *PathNameFile );
gchar		*EditYear_get_namefile( gchar *p_PathNameFile );
void		EditYear_set_ready( void );
void		EditYear_set_new_year( gint NewYear );
guint		EditYear_get_new_year( void );
gint		EditYear_select_new_year( void );
void		EditYear_save_struct( void );
void		EditYear_remove_struct_all( void );
void		EditYear_alloc_struct( void );
void		EditYear_set_datas_to_spinbuttons( guint p_Day );
gboolean	EditYear_read_file( gchar *p_PathNameFileBase );
gchar		*EditYear_get_day( gint p_day );
gchar		*EditYear_get_month( gint p_month );
void		EditYear_set_DayAdjust( gint p_ind, gint p_MatinDebut, gint p_MatinFin, gint p_SoirDebut, gint p_SoirFin, gchar *sp_Comment );
void		EditYear_get_DayAdjust( gint p_ind, gint *p_MatinDebut, gint *p_MatinFin, gint *p_SoirDebut, gint *p_SoirFin, gchar **sp_Comment );
void		EditYear_apply_weeks( gint p_IndMonth );
void		EditYear_set_to_vte( void );
void		EditYear_clear_year( void );
guint		EditYear_get_int_month( void );
void		EditYear_set_month( gint p_month );

void		EditYear_put_weeks( void );

#endif

